# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $loaded;}
use GGI;
use GGI::Pixel;
use GGI::Mode;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

$vis = new GGI;
$vis->setmode();
$vis->palette;

$vis->bg(0);
$vis->fg(1);

for ($x = 0; $x < 25; $x++) {
    $vis->fg($x);
    $vis->vline($x * 4, 0, 100);
    $vis->vline($x * 4 + 1, 0, 100);
    $vis->vline($x * 4 + 2, 0, 100);
}

$pixels = new GGI::Pixel;

$vis->box($pixels, 100, 100, 0, 0);

$vis->box(100, 0 , 99, 100, $pixels);

$vis->box($pixels, 200, 100, 0, 0);

$vis->box(0, 100, 201, 100, $pixels);

<>;

exit();
