#ifdef __cplusplus
extern "C" {
#endif
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#include <stdio.h>
#include <stdlib.h>
#include <ggi/ggi.h>
#ifdef __cplusplus
}
#endif



#if 0
void
ggiPanic(arg0, ...)
	const char * format	arg0

#endif


#if 0
gii_event_mask
ggiEventPoll(vis, mask, t)
	ggi_visual_t	vis
	gii_event_mask	mask
	struct timeval *	t

#endif


MODULE = GGI		PACKAGE = GGI		


int
ggiInit()

int
ggiExit()

ggi_visual_t
ggiOpen(display, ...)
	const char *	display
	CODE:
	if ((items == 0) || (*display == 0)) {
		RETVAL = ggiOpen(NULL);
        }
	else {
		RETVAL = ggiOpen(display);
        }
	OUTPUT:
	RETVAL

int
ggiClose(vis)
	ggi_visual_t	vis

int
ggiGetMode(visual, tm)
	ggi_visual_t	visual
	ggi_mode *	tm

int
ggiSetMode(visual, tm)
	ggi_visual_t	visual
	ggi_mode *	tm

int
ggiSetSimpleMode(visual, xsize, ysize, frames, type)
	ggi_visual_t	visual
	int	xsize
	int	ysize
	int	frames
	ggi_graphtype	type

int
ggiSetGraphMode(visual, x, y, xv, yv, type)
	ggi_visual_t	visual
	int	x
	int	y
	int	xv
	int	yv
	ggi_graphtype	type

int
ggiSetTextMode(visual, cols, rows, vcols, vrows, fontx, fonty, type)
	ggi_visual_t	visual
	int	cols
	int	rows
	int	vcols
	int	vrows
	int	fontx
	int	fonty
	ggi_graphtype	type

int
ggiCheckMode(visual, tm)
	ggi_visual_t	visual
	ggi_mode *	tm

int
ggiCheckSimpleMode(visual, xsize, ysize, frames, type, md)
	ggi_visual_t	visual
	int	xsize
	int	ysize
	int	frames
	ggi_graphtype	type
	ggi_mode *	md

int
ggiCheckGraphMode(visual, x, y, xv, yv, type, suggested_mode)
	ggi_visual_t	visual
	int	x
	int	y
	int	xv
	int	yv
	ggi_graphtype	type
	ggi_mode *	suggested_mode

int
ggiCheckTextMode(visual, cols, rows, vcols, vrows, fontx, fonty, type, suggested_mode)
	ggi_visual_t	visual
	int	cols
	int	rows
	int	vcols
	int	vrows
	int	fontx
	int	fonty
	ggi_graphtype	type
	ggi_mode *	suggested_mode

int
ggiSetGCForeground(vis, color)
	ggi_visual_t	vis
	ggi_pixel	color

int
ggiGetGCForeground(vis, color)
	ggi_visual_t	vis
	ggi_pixel *	color

int
ggiSetGCBackground(vis, color)
	ggi_visual_t	vis
	ggi_pixel	color

int
ggiGetGCBackground(vis, color)
	ggi_visual_t	vis
	ggi_pixel *	color

int
ggiSetGCClipping(vis, left, top, right, bottom)
	ggi_visual_t	vis
	int	left
	int	top
	int	right
	int	bottom

int
ggiGetGCClipping(vis, left, top, right, bottom)
	ggi_visual_t	vis
	int	left
	int	top
	int	right
	int     bottom
	CODE:
	RETVAL = ggiGetGCClipping(vis, &left, &top, &right, &bottom);
	OUTPUT:
	RETVAL
	left
	right
	top
	bottom

int
ggiSetColorfulPalette(vis)
	ggi_visual_t	vis

int
ggiFillscreen(vis)
	ggi_visual_t	vis

int
fillscreen(vis)
	ggi_visual_t	vis
	CODE:
	RETVAL = ggiFillscreen(vis);
	OUTPUT:
	RETVAL

int
ggiDrawPixel(vis, x, y)
	ggi_visual_t	vis
	int	x
	int	y

int
ggiPutPixel(vis, x, y, pixel)
	ggi_visual_t	vis
	int	x
	int	y
	ggi_pixel	pixel

int
ggiDrawHLine(vis, x, y, w)
	ggi_visual_t	vis
	int	x
	int	y
	int	w

int
ggiPutHLine(vis, x, y, w, buf)
	ggi_visual_t	vis
	int	x
	int	y
	int	w
	void *	buf

int
ggiDrawVLine(vis, x, y, h)
	ggi_visual_t	vis
	int	x
	int	y
	int	h

int
ggiPutVLine(vis, x, y, h, buf)
	ggi_visual_t	vis
	int	x
	int	y
	int	h
	void *	buf

int
ggiDrawLine(vis, x, y, xe, ye)
	ggi_visual_t	vis
	int	x
	int	y
	int	xe
	int	ye

int
ggiDrawBox(vis, x, y, w, h)
	ggi_visual_t	vis
	int	x
	int	y
	int	w
	int	h

int
ggiPutBox(vis, x, y, w, h, buf)
	ggi_visual_t	vis
	int	x
	int	y
	int	w
	int	h
	void *	buf

int
ggiCopyBox(vis, x, y, w, h, nx, ny)
	ggi_visual_t	vis
	int	x
	int	y
	int	w
	int	h
	int	nx
	int	ny

int
ggiPuts(vis, x, y, str)
	ggi_visual_t	vis
	int	x
	int	y
	const char *	str

int
ggiFlush(vis)
	ggi_visual_t	vis

int
ggiFlushRegion(vis, x, y, w, h)
	ggi_visual_t	vis
	int	x
	int	y
	int	w
	int	h

int
ggiDBGetNumBuffers(vis)
	ggi_visual_t	vis

const ggi_directbuffer *
ggiDBGetBuffer(vis, bufnum)
	ggi_visual_t	vis
	int	bufnum

int
ggiResourceFastAcquire(res, actype)
	ggi_resource_t	res
	uint32	actype

int
ggiResourceFastRelease(res)
	ggi_resource_t	res

int
ggiSetFlags(vis, flags)
	ggi_visual_t	vis
	ggi_flags	flags

ggi_flags
ggiGetFlags(vis)
	ggi_visual_t	vis

const ggi_pixelformat *
ggiGetPixelFormat(vis)
	ggi_visual_t	vis

ggi_pixel
ggiMapColor(vis, col)
	ggi_visual_t	vis
	ggi_color *	col

int
ggiUnmapPixel(vis, pixel, col)
	ggi_visual_t	vis
	ggi_pixel	pixel
	ggi_color *	col

int
ggiPackColors(vis, buf, cols, len)
	ggi_visual_t	vis
	void *	buf
	ggi_color *	cols
	int	len

int
ggiUnpackPixels(vis, buf, cols, len)
	ggi_visual_t	vis
	void *	buf
	ggi_color *	cols
	int	len

int
ggiGetPalette(vis, s, len, cmap)
	ggi_visual_t	vis
	int	s
	int	len
	ggi_color *	cmap

int
ggiSetPalette(vis, s, len, cmap)
	ggi_visual_t	vis
	int	s
	int	len
	ggi_color *	cmap

int
ggiGetGamma(vis, r, g, b)
	ggi_visual_t	vis
	ggi_float *	r
	ggi_float *	g
	ggi_float *	b

int
ggiSetGamma(vis, r, g, b)
	ggi_visual_t	vis
	ggi_float	r
	ggi_float	g
	ggi_float	b

int
ggiGetGammaMap(vis, s, len, gammamap)
	ggi_visual_t	vis
	int	s
	int	len
	ggi_color *	gammamap

int
ggiSetGammaMap(vis, s, len, gammamap)
	ggi_visual_t	vis
	int	s
	int	len
	ggi_color *	gammamap

int
ggiSetOrigin(vis, x, y)
	ggi_visual_t	vis
	int	x
	int	y

int
ggiGetOrigin(vis, x, y)
	ggi_visual_t	vis
	int *	x
	int *	y

int
ggiSetDisplayFrame(vis, frameno)
	ggi_visual_t	vis
	int	frameno

int
ggiSetReadFrame(vis, frameno)
	ggi_visual_t	vis
	int	frameno

int
ggiSetWriteFrame(vis, frameno)
	ggi_visual_t	vis
	int	frameno

int
ggiGetDisplayFrame(vis)
	ggi_visual_t	vis

int
ggiGetReadFrame(vis)
	ggi_visual_t	vis

int
ggiGetWriteFrame(vis)
	ggi_visual_t	vis

int
ggiGetPixel(vis, x, y, pixel)
	ggi_visual_t	vis
	int	x
	int	y
	ggi_pixel *	pixel

int
ggiGetHLine(vis, x, y, w, buf)
	ggi_visual_t	vis
	int	x
	int	y
	int	w
	void *	buf


int
ggiGetVLine(vis, x, y, h, buf)
	ggi_visual_t	vis
	int	x
	int	y
	int	h
	void *	buf

int
ggiGetBox(vis, x, y, w, h, buf)
	ggi_visual_t	vis
	int	x
	int	y
	int	w
	int	h
	void *	buf

int
ggiCrossBlit(src, sx, sy, w, h, dst, dx, dy)
	ggi_visual_t	src
	int	sx
	int	sy
	int	w
	int	h
	ggi_visual_t	dst
	int	dx
	int	dy

int
ggiPutc(vis, x, y, c)
	ggi_visual_t	vis
	int	x
	int	y
	char	c

int
ggiGetCharSize(vis, width, height)
	ggi_visual_t	vis
	int *	width
	int *	height

int
ggiEventsQueued(vis, mask)
	ggi_visual_t	vis
	gii_event_mask	mask

int
ggiEventRead(vis, ev, mask)
	ggi_visual_t	vis
	gii_event *	ev
	gii_event_mask	mask

int
ggiSetEventMask(vis, evm)
	ggi_visual_t	vis
	gii_event_mask	evm

gii_event_mask
ggiGetEventMask(vis)
	ggi_visual_t	vis

int
ggiEventSend(vis, ev)
	ggi_visual_t	vis
	gii_event *	ev

gii_input_t
ggiJoinInputs(vis, inp)
	ggi_visual_t	vis
	gii_input_t	inp

int
ggiKbhit(vis)
	ggi_visual_t	vis

int
ggiGetc(vis)
	ggi_visual_t	vis

