#ifdef __cplusplus
extern "C" {
#endif
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#ifdef __cplusplus
}
#endif

#include <ggi/types.h>

static int
not_here(s)
char *s;
{
    croak("%s not implemented on this architecture", s);
    return -1;
}

static double
constant(name, arg)
char *name;
int arg;
{
    errno = 0;
    if (!strncmp(name, "GT_", 3)) {
	if (strEQ(name, "GT_15BIT"))
#ifdef GT_15BIT
	    return GT_15BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_16BIT"))
#ifdef GT_16BIT
	    return GT_16BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_1BIT"))
#ifdef GT_1BIT
	    return GT_1BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_24BIT"))
#ifdef GT_24BIT
	    return GT_24BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_2BIT"))
#ifdef GT_2BIT
	    return GT_2BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_32BIT"))
#ifdef GT_32BIT
	    return GT_32BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_4BIT"))
#ifdef GT_4BIT
	    return GT_4BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_8BIT"))
#ifdef GT_8BIT
	    return GT_8BIT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_AUTO"))
#ifdef GT_AUTO
	    return GT_AUTO;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_GREYSCALE"))
#ifdef GT_GREYSCALE
	    return GT_GREYSCALE;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_INVALID"))
#ifdef GT_INVALID
	    return GT_INVALID;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_PALETTE"))
#ifdef GT_PALETTE
	    return GT_PALETTE;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_STATIC_PALETTE"))
#ifdef GT_STATIC_PALETTE
	    return GT_STATIC_PALETTE;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_SUB_HIGHBIT_RIGHT"))
#ifdef GT_SUB_HIGHBIT_RIGHT
	    return GT_SUB_HIGHBIT_RIGHT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_SUB_PACKED_GETPUT"))
#ifdef GT_SUB_PACKED_GETPUT
	    return GT_SUB_PACKED_GETPUT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_SUB_REVERSE_ENDIAN"))
#ifdef GT_SUB_REVERSE_ENDIAN
	    return GT_SUB_REVERSE_ENDIAN;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_TEXT"))
#ifdef GT_TEXT
	    return GT_TEXT;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_TEXT16"))
#ifdef GT_TEXT16
	    return GT_TEXT16;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_TEXT32"))
#ifdef GT_TEXT32
	    return GT_TEXT32;
#else
	    goto not_there;
#endif
	if (strEQ(name, "GT_TRUECOLOR"))
#ifdef GT_TRUECOLOR
	    return GT_TRUECOLOR;
#else
	    goto not_there;
#endif
    }
    errno = EINVAL;
    return 0;

not_there:
    errno = ENOENT;
    return 0;
}


MODULE = GGI::GraphType		PACKAGE = GGI::GraphType		


double
constant(name,arg)
	char *		name
	int		arg


ggi_graphtype *
ggi_graphtype_malloc()
	CODE:
	RETVAL = malloc(sizeof(ggi_graphtype));
	OUTPUT:
	RETVAL

void
ggi_graphtype_free(obj)
	ggi_graphtype *obj;
	CODE:
	free(obj);

unsigned int
ggi_graphtype_get_field_depth(obj) 
	ggi_graphtype *obj
	CODE:
	RETVAL = GT_DEPTH(*obj);
	OUTPUT:
	RETVAL

unsigned int
ggi_graphtype_set_field_depth(obj, val) 
	ggi_graphtype *obj
	unsigned int val
	CODE:
	GT_SETDEPTH(*obj, val);
	RETVAL = GT_DEPTH(*obj);
	OUTPUT:
	RETVAL

unsigned int
ggi_graphtype_get_field_size(obj) 
	ggi_graphtype *obj
	CODE:
	RETVAL = GT_SIZE(*obj);
	OUTPUT:
	RETVAL

unsigned int
ggi_graphtype_set_field_size(obj, val) 
	ggi_graphtype *obj
	unsigned int val
	CODE:
	GT_SETSIZE(*obj, val);
	RETVAL = GT_SIZE(*obj);
	OUTPUT:
	RETVAL

ggi_graphtype
ggi_graphtype_get_field_subscheme(obj) 
	ggi_graphtype *obj
	CODE:
	RETVAL = GT_SUBSCHEME(*obj);
	OUTPUT:
	RETVAL

ggi_graphtype
ggi_graphtype_set_field_subscheme(obj, val) 
	ggi_graphtype *obj
	unsigned int val
	CODE:
	GT_SETSUBSCHEME(*obj, val);
	RETVAL = GT_SUBSCHEME(*obj);
	OUTPUT:
	RETVAL

ggi_graphtype
ggi_graphtype_get_field_scheme(obj) 
	ggi_graphtype *obj
	CODE:
	RETVAL = GT_SCHEME(*obj);
	OUTPUT:
	RETVAL

ggi_graphtype
ggi_graphtype_set_field_scheme(obj, val) 
	ggi_graphtype *obj
	unsigned int val
	CODE:
	GT_SETSCHEME(*obj, val);
	RETVAL = GT_SCHEME(*obj);
	OUTPUT:
	RETVAL

ggi_graphtype
ggi_graphtype_get_all_fields(obj)
	ggi_graphtype *obj
	CODE:
	RETVAL = *obj;
	OUTPUT:
	RETVAL

ggi_graphtype
ggi_graphtype_set_all_fields(obj, val)
	ggi_graphtype *obj
	ggi_graphtype val
	CODE:
	*obj = val;
	RETVAL = *obj;
	OUTPUT:
	RETVAL



